/// <reference types="react" />
import { HeaderGroupsProps, HeadersProps, SortColumnProps } from './props';
export declare type MainHeaderColumn = {
    title: string;
    columns: HeaderColumn[];
};
export declare type HeaderColumn = {
    title: string;
    accessor?: string;
};
export declare type GenericColumn = {
    title: string;
    accessor?: string;
    columns?: HeaderColumn[];
};
export declare type DatatableHeaderColumn = {
    title: string;
    parent: string | undefined;
    accessor: string | undefined;
    canSort: boolean;
    isSorted: boolean;
    render: (accessor: string) => React.ReactNode;
    tableHeaderProps: (props?: SortColumnProps) => HeadersProps;
    sortColumnProps: SortColumnProps;
};
export declare type DatatableHeader = DatatableHeaderColumn & {
    columns?: DatatableHeaderColumn[];
};
export declare type DatatableHeaderGroups = {
    headers: DatatableHeader[];
    tableHeaderGroupsProps: () => HeaderGroupsProps;
};
export declare type TDatatable = {
    columns: MainHeaderColumn[];
    data: any;
};
