/**
 * TModal is an object with three properties: isOpen, handleClose, and children. isOpen is a boolean,
 * handleClose is a function that returns nothing, and children is a JSX.Element.
 * @property {boolean} isOpen - boolean - This is a boolean that determines whether the modal is open
 * or not.
 * @property handleClose - This is a function that will close the modal.
 * @property children - The content of the modal
 */
declare type TModal = {
    isOpen: boolean;
    handleClose: () => void;
    children: JSX.Element;
};
/**
 * It renders a modal if isOpen is true, otherwise it renders null
 * @param {TModal}  - isOpen - a boolean that determines whether the modal is open or not
 * @returns A modal component that is rendered in a portal.
 */
export declare function Modal({ isOpen, handleClose, children }: TModal): JSX.Element | null;
export {};
