/// <reference types="react" />
/**
 * Portal is an object with a children property that is a JSX.Element and an optional wrapperId
 * property that is a string.
 * @property children - The children of the portal.
 * @property {string} wrapperId - The id of the element that will be used as the portal wrapper.
 */
declare type Portal = {
    children: JSX.Element;
    wrapperId?: string;
};
/**
 * It creates a portal wrapper element if it doesn't exist, and then returns a React portal
 * @param {Portal}  - `children` - The children to render in the portal.
 * @returns A React Portal
 */
export declare function ReactPortal({ children, wrapperId }: Portal): React.ReactPortal | null;
export {};
